# Created by pyp2rpm-3.3.2
%global pypi_name pygments-pytest

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 1
Summary:        A pygments lexer for pytest output
Group:          Development/Python
License:        MIT
URL:            https://github.com/asottile/pygments-pytest
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pygments_pytest-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This library provides a pygments lexer called pytest.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pygments)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This library provides a pygments lexer called pytest.

%prep
%autosetup -n pygments_pytest-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pygments_pytest.py
%{python3_sitelib}/pygments_pytest-%{version}-py?.?.egg-info


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 2.1.0-1.mga8
+ Revision: 1626567
- new version 2.1.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1535318
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.2.0-2.mga8
+ Revision: 1451725
- rebuild with python 3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429760
- imported package python-pygments-pytest

